Karia
ReferencesOpenapiContact

Get contact

GET
/organisation/{orgId}/workspace/{workspaceId}/contact/{contactId}

Retrieve a contact in the specified organisation and workspace by numeric ID or contact reference ID.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
contactId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/contact/string"
{
  "id": -2147483648,
  "version": -2147483648,
  "createdAt": "string",
  "createdBy": "string",
  "deletedAt": "string",
  "lastUpdatedAt": "string",
  "lastUpdatedBy": "string",
  "type": "string",
  "status": "string",
  "firstName": "string",
  "lastName": "string",
  "middleNames": "string",
  "preferredName": "string",
  "title": "string",
  "dateOfBirth": "string",
  "relationshipStatus": "string",
  "numberOfDependents": -2147483648,
  "residencyStatus": "string",
  "referenceId": "string",
  "preferredContactMethods": [
    "string"
  ],
  "description": "string",
  "externalReference": "string",
  "metadata": "string",
  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
  "employerId": -2147483648,
  "workspaceId": -2147483648,
  "organisationId": -2147483648,
  "fullNameSearch": "string",
  "contactMethods": [
    {
      "id": -2147483648,
      "type": "string",
      "value": "string",
      "contactId": -2147483648
    }
  ],
  "addresses": [
    {
      "id": -2147483648,
      "deletedAt": "string",
      "lastUpdatedAt": "string",
      "lastUpdatedBy": "string",
      "type": "string",
      "addressLine1": "string",
      "addressLine2": "string",
      "unitNumber": "string",
      "streetNumber": "string",
      "streetName": "string",
      "state": "string",
      "suburb": "string",
      "city": "string",
      "postCode": "string",
      "country": "string",
      "contactId": -2147483648
    }
  ]
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}